#include "xfxelematlas.h"

XFxElemAtlas::XFxElemAtlas()
    : XAsset()
    , mBehavior(0)
    , mIndex(0)
    , mFps(0)
    , mLoopCount(0)
    , mColIndexBits(0)
    , mRowIndexBits(0)
    , mEntryCount(0)
{
    SetName("Element Atlas");
}

void XFxElemAtlas::Clear()
{
    mBehavior = 0;
    mIndex = 0;
    mFps = 0;
    mLoopCount = 0;
    mColIndexBits = 0;
    mRowIndexBits = 0;
    mEntryCount = 0;
}

void XFxElemAtlas::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XFxElemAtlas::ParseData
}
